# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name xdg-basedir

Name:           ghc-%{pkg_name}
Version:        0.2.2
Release:        4%{?dist}
Summary:        Haskell implementation of XDG base directory spec

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
# End cabal-rpm deps

%description
A basic implementation of the XDG Base Directory specification.
On Unix platforms, this should be a very straightforward implementation
of the XDG Base Directory spec. On Windows, it will attempt to do the
right thing with regards to choosing appropriate directories.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Fri Jun 07 2013 Jens Petersen <petersen@redhat.com> - 0.2.2-4
- update to new simplified Haskell Packaging Guidelines

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.2.2-2
- update with cabal-rpm

* Sun Oct 21 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.2.2-1
- Update to 0.2.2

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 23 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.2.1-2
- Applied patch provided by Jens Petersen to clean up summary,description
- Added LICENSE to ghc_files macro

* Sun Mar 25 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.2.1-1
- Package update to 0.2.1
- Update spec file to 0.25.4

* Tue May 10 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.2-1
- License is BSD.

* Tue May 10 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.7
